Subject: Re: IPv4 addresses eaten by... what? (was: IPv6 standard)

From: Phillip Hallam-Baker <[email-masked]>
Date: Thu, 1 Oct 2009 14:04:17 -0400

The use of market mechanisms to allocate radio spectrum is now pretty
much the norm around the world. The only countries that might object
to such mechanisms on ideological grounds are either powerless to
object (Cuba, North Korea) or considerably more concerned about
ensuring access to IP addresses. (China).

Even if there was an intention to resist transfer, it would be
impossible to police and would be grossly counterproductive as it
would encourage parties to hoard IPv4 addresses 'just in case' they
needed them.

The real question is pricing. I am pretty sure that the demand for
static, non-NATed IPv4 addresses is way less than the supply, so the
price should not be prohibitive.

The problem is that in the US and many other parts of the world,
broadband access is a monopoly or duopoly. so in order for the 5% of
Comcast customers who really need a static IP address to ensue that
they get one at a fair cost, their only effective recourse at present
is to use their regulatory influence to force Comcast to provide
non-NAT IPv4 service. Thus exacerbating the supply shortfall.

What ISPs should be doing to protect their interests is to require
that their access point provider (cable modem/ DSL modem) produce a
box that can provide seamless protocol conversion, allowing a native
IPv4 service, dual stack IPv4/IPv6 service and IPv6 plus NATed IPv4 to
be switched seamlessly.

That way they can reduce the demand for IPv4 addresses such that the
demand for IPv4 addresses does not exceed supply. If for whatever
reason, this is the case and IPv4 addresses are selling for a premium,
they can then switch over some number of their customers to IPv6 plus
NAT service and sell the addresses on the open market.

My guess is that the limiting price for an IPv4 address in this
scenario is the cost of a customer service call. Say $10 per address.

So imagine that IPv4 addresses hit $10 on the spot market (yes there
will be one) and MegaISP has 1 million subscribers, 50% of which have
compatible modems (or modems that can be flash upgraded) and that 90%
of their customers will be happy with an IPv6+NAT address.

MegaISP starts by switching the 500,000 customers it can switch to
NATted service.

50,000 customers complain and insist on IPv4 service, thats a customer
support call each at $10, so $500,000
Then there is the cost of the NAT boxes to support the customers who
are switched - say $1 million

So the costs are $1.5 million and at the end they sell off 450,000
IPv4 for $10 each a total of $4.5Million, leaving $3 million in profit
and 450,000 saved IPv4 addresses.

On Tue, Sep 29, 2009 at 4:19 AM, Shane Kerr <[email-masked]> wrote:
> Tony,
>
> [top-posting since that's what you did]
>
> AIUI, the intention is not for the RIRs to be "controlling the market",
> but rather to provide the same value they do now: a location where I can
> see who is responsible for a given address.
>
> I think the RIRs all have a transfer policy now. So when a prefix is
> sold, what amounts to a transfer of deed needs to happen, the same as if
> you buy or otherwise acquire land. This is not control of IP sales any
> more than the local town deed registry controls the real estate market.
>
> --
> Shane
>
> On Mon, 2009-09-28 at 10:13 -0700, Tony Hain wrote:
>> Look at http://www.nro.net/ for the current process. Look at
>> http://www.ebay.com/ for the process once the IANA & RIR pools are
>> allocated. There are misguided fantasy discussions about controlling the
>> market in the RIR context, but given that their charters explicitly say that
>> they make no statement about the utility or routing of any allocation, they
>> have absolutely no leverage on whatever transactions a market might produce.
>> Look to the CIDR deployment filtering wars to see that the business side of
>> each ISP will beat down the technical side every time, so expect that the
>> routing system will routinely carry /28-29 IPv4 prefixes in a few years.
>
>
> _______________________________________________
> Ietf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf
>

-- 
-- 
New Website: http://hallambaker.com/
View Quantum of Stupid podcasts, Tuesday and Thursday each week,
http://quantumofstupid.com/